공개 APIAPI 레퍼런스Apps
App의 슬러그 또는 프로덕션 배포를 변경합니다.
베타 API
/v1 API 계약은 변경될 수 있으며, 호환되지 않는 변경도 별칭 없이 배포될 수 있습니다.
PATCH
/v1/apps/{appId}팀 owner 또는 member가 슬러그를 변경하거나 배포를 프로덕션으로 승격합니다. 슬러그 변경 시 관리형 호스트 이름은 새 슬러그로 바뀌고 이전 주소는 중단됩니다. productionDeploymentId를 null로 지정하면 포인터를 해제합니다. CLI: ntro promote. 이메일 인증을 완료한 사용자만 사용할 수 있습니다.
인증
bearerAuth 인증Bearer <token>
로그인 또는 API 토큰 교환으로 받은 접속 토큰을 사용합니다. ntro_ API 토큰은 먼저 로그인 서버에서 접속 토큰으로 교환해야 합니다.
위치: header
경로 매개변수
appId*string
요청 본문
application/json
TypeScript 타입 정의
Use the request body type in TypeScript.
응답 본문
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X PATCH "https://example.com/v1/apps/string" \ -H "Content-Type: application/json" \ -d '{}'{ "app": { "createdAt": "string", "domainCount": 0, "domains": [ "string" ], "hostname": "string", "id": "string", "latestDeployment": { "createdAt": "string", "git": true, "id": "string", "shortId": "string", "status": "string", "target": "string" }, "productionDeploymentId": "string", "productionPreview": { "capturedAt": "string", "image": { "token": "string", "version": "string" }, "status": "string" }, "slug": "string", "suspendedAt": "string", "suspensionReason": "string", "team_id": "string" }}